Get invoices with products
Gets all the Invoices with products for a selected Team within a specified date range
POST/https://europe-west1-mpower-apps-production.cloudfunctions.net/api-get-invoices-with-products
Headers
Content-Type
application/json
string
x-api-key
<API_KEY>
string
Body Parameters
team_id
Required, not empty.
wDeNREzIZOd9MHtR7ILz
string
status
Required. Must be ISSUED or ALL.
ISSUED
ISSUED | ALL
start_date
Required date in strict YYYY-MM-DD format. Converted to a Unix timestamp in milliseconds using midnight UTC.
2026-05-23
string
end_date
Required date in strict YYYY-MM-DD format. Converted to a Unix timestamp in milliseconds using midnight UTC. The end date is exclusive.
2026-06-23
string
cURL
curl -i \
-X POST \
-H "Content-Type: application/json" \
-H "x-api-key: <API_KEY>" \
-d '{
"team_id": "wDeNREzIZOd9MHtR7ILz",
"status": "ALL",
"start_date": "2026-05-23",
"end_date": "2026-06-23"
}' \
https://europe-west1-mpower-apps-production.cloudfunctions.net/api-get-invoices-with-productsResponse
{
"count": 1,
"invoices": {
"invoiceDocumentId": {
"customer_data": {
"customer_id": "customer-id",
"customer_name": "Customer name"
},
"invoice_data": {
"currency": "USD",
"invoice_date": 1779573600000,
"invoice_number": "INV-001"
},
"products_data": {
"line_id": {
"id": "line_id",
"name": "Product description",
"price": 100,
"tax_type": "VAT",
"type": "PRODUCT",
"units": 2
}
},
"team_id": "team-id"
}
}
}